package com.iamberry.wechat.core.entity.integral;

import java.util.ArrayList;
import  java.util.Date;
import  java.io.Serializable;
import java.util.List;

/**
 *  积分商城订单表类
 * @author ys
 * @Date 2018-04-28
 */
public class IntegralOrder  implements  Serializable{
    private static final long serialVersionUID = 3561602807369619385L;
    //
    private String integralOrderId;
    //用户openid
    private String integralOrderOpenId;
    //订单付款金额
    private Integer integralOrderYetAmount;
    //使用朵粉币数量
    private Integer integralOrderDfbi;
    //订单金额
    private Integer integralOrderAmount;
    //状态 1：未兑换 2：已兑换 3:兑换失败
    private Integer integralOrderStatus;
    //后台的备注
    private String integralOrderAdminRemark;
    //用户备注
    private String integralOrderUserRemark;
    //微信订单号
    private String integralOrderTransactionId;
    //微信支付时间
    private Date integralOrderTransactionDate;
    //创建时间'
    private Date integralOrderCreateDate;
    //积分兑换订单项
    private List<IntegralItem> integralItemList = new ArrayList<>();

    public String getIntegralOrderId(){
        return integralOrderId;
    }

    public void setIntegralOrderId(String  integralOrderId){
        this.integralOrderId=integralOrderId;
    }

    public String getIntegralOrderOpenId(){
        return integralOrderOpenId;
    }

    public void setIntegralOrderOpenId(String  integralOrderOpenId){
        this.integralOrderOpenId=integralOrderOpenId;
    }

    public Integer getIntegralOrderYetAmount(){
        return integralOrderYetAmount;
    }

    public void setIntegralOrderYetAmount(Integer  integralOrderYetAmount){
        this.integralOrderYetAmount=integralOrderYetAmount;
    }

    public Integer getIntegralOrderDfbi(){
        return integralOrderDfbi;
    }

    public void setIntegralOrderDfbi(Integer  integralOrderDfbi){
        this.integralOrderDfbi=integralOrderDfbi;
    }

    public Integer getIntegralOrderAmount(){
        return integralOrderAmount;
    }

    public void setIntegralOrderAmount(Integer  integralOrderAmount){
        this.integralOrderAmount=integralOrderAmount;
    }

    public Integer getIntegralOrderStatus(){
        return integralOrderStatus;
    }

    public void setIntegralOrderStatus(Integer  integralOrderStatus){
        this.integralOrderStatus=integralOrderStatus;
    }

    public String getIntegralOrderAdminRemark(){
        return integralOrderAdminRemark;
    }

    public void setIntegralOrderAdminRemark(String  integralOrderAdminRemark){
        this.integralOrderAdminRemark=integralOrderAdminRemark;
    }

    public String getIntegralOrderUserRemark(){
        return integralOrderUserRemark;
    }

    public void setIntegralOrderUserRemark(String  integralOrderUserRemark){
        this.integralOrderUserRemark=integralOrderUserRemark;
    }

    public String getIntegralOrderTransactionId(){
        return integralOrderTransactionId;
    }

    public void setIntegralOrderTransactionId(String  integralOrderTransactionId){
        this.integralOrderTransactionId=integralOrderTransactionId;
    }

    public Date getIntegralOrderTransactionDate(){
        return integralOrderTransactionDate;
    }

    public void setIntegralOrderTransactionDate(Date  integralOrderTransactionDate){
        this.integralOrderTransactionDate=integralOrderTransactionDate;
    }

    public Date getIntegralOrderCreateDate(){
        return integralOrderCreateDate;
    }

    public void setIntegralOrderCreateDate(Date  integralOrderCreateDate){
        this.integralOrderCreateDate=integralOrderCreateDate;
    }

    public List<IntegralItem> getIntegralItemList() {
        return integralItemList;
    }

    public void setIntegralItemList(List<IntegralItem> integralItemList) {
        this.integralItemList = integralItemList;
    }
}
